- Qt 5.15
- Qt Quick
- QML Types
- Gravity QML Type
- Qt 5.15.18 Reference Documentation

# Gravity QML Type

For applying acceleration in an angle. More...

Import Statement: | import QtQuick.Particles 2.15
Inherits: | Affector

- List of all members, including inherited members
- Obsolete members

## Properties

- angle : real
- magnitude : real

## Detailed Description

This element will accelerate all affected particles to a vector of the specified magnitude in the specified angle. If the angle and acceleration do not vary, it is more efficient to set the specified acceleration on the Emitter.

This element models the gravity of a massive object whose center of gravity is far away (and thus the gravitational pull is effectively constant across the scene). To model the gravity of an object near or inside the scene, use PointAttractor.

## Property Documentation

angle : real

Angle of acceleration.

magnitude : real

Pixels per second that objects will be accelerated by.